---
title: "Introduction"
date:
draft: false
weight: 1
---

# Crunchy Data Container Suite

Crunchy Container Suite is a collection of container images for PostgreSQL databases
and various tools to manage them.  The container images provided aim to be highly
configurable, easy to deploy and reliable.

The suite is cloud agnostic and certified for production deployment
with leading container platform technologies. Crunchy Container Suite supports all
major public clouds and enables enables hybrid cloud deployments.

Crunchy Container Suite includes:

* Compatibility with Docker, Kubernetes and OpenShift
* Cloud-agnostic: build your own database-as-a-service in any public, private, or hybrid cloud
* No forks: 100% open source, native PostgreSQL
* Backup, restore, & disaster recovery for terabytes of data
* Graphical database administration tools for simple point-and-click database management
* Open source database monitoring and graphing tools to help analyze and create administration strategies
* PostGIS, robust open source GIS 🌎 functionality, included by default
* Access to certified builds for Crunchy Certified PostgreSQL
* No proprietary software licensing fees

## Why Crunchy Containers?

Enterprise production PostgreSQL deployments require more than just a database.
Advanced capabilities like high availability, high-performant disaster recovery
for terabytes of data, and monitoring solutions are requirements for your
enterprise database cluster.

By providing the necessary microservices, including containers for scaling,
high-availability, disaster recovery, monitoring, and more,
Crunchy Container Suite will meet your production compliance, security,
and performance requirements and give you a trusted open source database experience.

### Elastic PostgreSQL

From creating uniformly managed, cloud-native production
deployments to allowing your engineering team to provision databases that meet
your compliance requirements, Crunchy Container Suite gives your organization the
flexibility to deploy your own personalized database-as-a-service tailored to
your needs.

### Open Source For Enterprise

Crunchy Container Suite comes with essential
open source tools for PostgreSQL management at scale, and lets you use powerful
extensions like geospatial management with PostGIS.

### Compliance At Scale

Deploy Crunchy Certified PostgreSQL with Crunchy Container
Suite to harness the security of a Common Criteria EAL 2+ certified
database on trusted platforms such as Red Hat OpenShift or Pivotal Container Service.
